// Demonstrates how to receive data from the Arduino board, in order to 
// turn on and off a virtual pixel
// 
// Created March 2013
// by Peter Peters

import processing.serial.*; 

int boxSize = 20;
Serial port; 

void setup() {
  size(200, 200);
  println(Serial.list());  
  port = new Serial(this, Serial.list()[1], 38400);
}

void draw() 
{ 
  if (port.available() > 0) {
    background(0);
    int ch = port.read();
    print(ch); 
    print(' ');
    if (ch > 50) drawCenteredBox(color(255, 0, 0));
    else drawCenteredBox(color(255, 255, 255));
  }
}

void drawCenteredBox(color col) {
  fill(col);
  rect((width/2)-(boxSize/2), (height/2)-(boxSize/2), 
  (boxSize), boxSize);
}

